@keyframes dirty-form-button {
  0% {
    background: #d33737;
    box-shadow: 0 0 4px #d33737;
  }
  100% {
    background: #e58b8b;
    box-shadow: 0 0 12px #d33737;
  }
}
* {
  box-sizing: border-box;
}

html, body {
  margin: 0;
  padding: 0;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
  background: #110f10;
  color: #fff;
}

header {
  display: flex;
  justify-content: space-between;
  margin-bottom: 1em;
}
header img {
  max-height: 70px;
  display: inline-block;
  vertical-align: middle;
}
header h1 {
  display: inline-block;
  margin-left: 1em;
  vertical-align: middle;
}

aside {
  font-size: 0.9em;
  margin-right: 1em;
}

section {
  margin-bottom: 4em;
}

article {
  margin-top: 3em;
}

a:link, a:hover, a:visited {
  color: #fff;
}

form {
  margin: 0;
}
form label {
  width: 150px;
  display: inline-block;
}
form label.textarea {
  align-self: flex-start;
  margin-top: 4px;
}
form select, form input, form button, form textarea {
  max-width: 500px;
  padding: 0.5em;
  background: #d33737;
  color: #fff;
  border: none;
  border-radius: 4px;
  font-weight: bold;
  height: 35px;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
  background: #444;
  font-weight: initial;
  width: 500px;
}
form select:hover, form input:hover, form button:hover, form textarea:hover {
  background: #d95454;
  cursor: pointer;
}
form select:disabled, form input:disabled, form button:disabled, form textarea:disabled {
  cursor: not-allowed;
  background: #333;
  color: #888;
}
form select:hover, form input:hover, form button:hover, form textarea:hover {
  cursor: initial;
  background: #555;
}
form input[type=checkbox] {
  height: 1.5em;
  width: 1.5em;
  margin-right: 0.5em;
}
form input[type=checkbox] + label {
  width: initial;
  user-select: none;
}
form textarea {
  height: 150px;
}
form button, form input[type=submit] {
  margin-left: 150px;
  cursor: pointer;
  background: #d33737;
  font-weight: bold;
  font-size: 1em;
  padding: 0;
}
form button:hover, form input[type=submit]:hover {
  background: #d95454;
}
form button:disabled, form input[type=submit]:disabled {
  background: #444;
  cursor: not-allowed;
}
form div {
  margin: 0.5em 0;
  display: flex;
  align-items: center;
}
form .warning {
  color: #d33737;
  margin-left: 8px;
  font-weight: bold;
}
form.form-dirty button, form.form-dirty input[type=submit] {
  animation: dirty-form-button 1s infinite;
  animation-direction: alternate;
  animation-timing-function: ease;
}

button {
  max-width: 500px;
  padding: 0.5em;
  background: #d33737;
  color: #fff;
  border: none;
  border-radius: 4px;
  font-weight: bold;
  height: 35px;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
}
button:hover {
  background: #d95454;
  cursor: pointer;
}
button:disabled {
  cursor: not-allowed;
  background: #333;
  color: #888;
}
button:disabled {
  background: #444;
  cursor: not-allowed;
}

table {
  width: 100%;
  border-collapse: collapse;
}
table button, table input[type=submit] {
  min-width: initial;
  width: initial;
  height: initial;
  margin-left: 0;
  font-size: 0.9em;
  padding: 0.2em 0.5em;
}

th {
  text-align: left;
  padding: 0.5em 0;
  color: #aaa;
}
th:first-of-type {
  padding-left: 1em;
}

td {
  margin: 0.5em 0;
  height: 35px;
}
td:first-of-type {
  padding-left: 1em;
}

tr {
  border-bottom: 1px solid #555;
}
tr:hover {
  background: #333;
}
tr.deactivated {
  text-decoration: line-through;
  background: rgba(56, 37, 37, 0.4784313725);
}
tr.batch {
  border-left: 3px solid #2196f3;
}

h2 {
  margin: 0;
}

.flex {
  display: flex;
}

.voucher-search.invalid {
  background: #491919;
}
.voucher-search.valid {
  background: #344930;
}

td.voucher-code {
  font-family: monospace;
  cursor: pointer;
}
td.voucher-code:hover {
  text-decoration: underline;
}

td.voucher-language {
  font-family: monospace;
}

td.voucher-note {
  width: 50%;
}

td.voucher-type {
  width: 16%;
}

td.activity-user {
  padding-right: 1em;
}

.status {
  width: 16px;
  height: 16px;
  background: #aaa;
  border-radius: 50%;
  display: inline-block;
  vertical-align: middle;
}
.status.status-used {
  background-color: #d33737;
}
.status.status-not-used {
  background-color: #4caf50;
}
.status.status-not-active {
  background-color: #aaa;
}

.join-code-used {
  color: #888;
  text-decoration: line-through;
}

.highlight {
  background: yellow;
  color: #000;
}

.wrapper {
  margin: 1em auto;
  padding: 2em;
  max-width: 1600px;
  background: #211f20;
}

.following-too-old {
  text-align: center;
  color: #888;
  padding: 3em 0 5em 0;
  display: block;
}

.error-box {
  color: red;
  font-size: 2em;
  padding: 1em;
  border: 1px solid red;
  background: pink;
  margin: 1em;
}

.error {
  color: red;
  font-size: 2em;
  padding: 1em;
  border: 1px solid red;
  background: pink;
  margin: 1em;
}

.small-btn {
  min-width: initial;
  width: initial;
  height: initial;
  margin-left: 0;
  font-size: 0.9em;
  padding: 0.2em 0.5em;
}

.btn-inverted {
  background: #ffffff;
  color: #d33737;
}

footer a:link, footer a:visited, footer a:hover {
  color: #888;
}

.branch-header {
  box-shadow: 0 0 4px rgba(0, 0, 0, 0.91);
  position: relative;
}
.branch-header .top-menu {
  background: linear-gradient(45deg, #ff4343, #2186f4);
  display: flex;
}
.branch-header .logo {
  font-weight: bold;
  padding: 0.75em 1em;
  display: inline-block;
}
.branch-header .link, .branch-header .item {
  text-decoration: none;
  padding: 0.75em 1em;
}
.branch-header .link:hover {
  background: rgba(255, 255, 255, 0.3);
}
.branch-header .link.active {
  box-shadow: inset 0 -2px 0 0 #fff;
}
.branch-header .pull-right {
  padding: 0.75em 0;
  margin-left: auto;
}
.branch-header select {
  padding: 0.3em;
  margin: -0.3em;
  border: none;
  border-radius: 4px;
}

pre.link {
  border: 1px solid #666;
  background: #333;
  border-radius: 3px;
  padding: 6px;
}

header {
  display: none;
}

.wrapper {
  max-width: initial;
  padding: 1em 3em;
  margin: 0;
}

.timeline {
  margin-top: 0;
  max-width: 520px;
}
.timeline section {
  display: flex;
  margin: 0;
}
.timeline section aside {
  display: flex;
  align-items: center;
  position: relative;
  margin-right: 2em;
  color: #aaa;
}
.timeline section .icon {
  display: inline-block;
  width: 16px;
  height: 16px;
  background: #ccc;
  border-radius: 50%;
  right: -2.55em;
  position: absolute;
}
.timeline section article {
  margin: 0;
  padding-left: 2em;
  border-left: 2px solid #ccc;
}
.timeline section article .inner {
  background: #1a1a1a;
  padding: 0.5em 1em;
  border-radius: 5px;
  margin: 0.5em 0 0.5em -1em;
}
.timeline section article .inner b {
  font-weight: normal;
  font-size: 0.89em;
}
.timeline section article p {
  margin: 8px 0 0;
}
.timeline section:last-child article {
  border-image: linear-gradient(to bottom, #ccc 50%, rgba(0, 0, 0, 0) 50%);
  border-image-slice: 1;
}
.timeline section:first-child article {
  border-image: linear-gradient(to top, #ccc 50%, rgba(0, 0, 0, 0) 50%);
  border-image-slice: 1;
}
.timeline section:first-child:last-child {
  border: none;
}

.game-details b {
  width: 150px;
  display: inline-block;
  margin-bottom: 2px;
}
